# Copyright 2022 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON+FP16ARITH
- name: xnn_f16_avgpool_minmax_ukernel_9p8x__neonfp16arith_c8
  init: xnn_init_f16_scaleminmax_neon_params
  arch:
  - aarch64
- name: xnn_f16_avgpool_minmax_ukernel_9x__neonfp16arith_c8
  init: xnn_init_f16_scaleminmax_neon_params
  arch:
  - aarch64
# x86 F16C
- name: xnn_f16_avgpool_minmax_ukernel_9p8x__f16c_c8
  init: xnn_init_f16_scaleminmax_avx_params
- name: xnn_f16_avgpool_minmax_ukernel_9x__f16c_c8
  init: xnn_init_f16_scaleminmax_avx_params
